# Задача 10 (по желанию). Снова палиндром
# Пользователь вводит строку. Необходимо написать программу, которая определяет, существует ли у этой строки такая
# перестановка, при которой она станет палиндромом. Выведите соответствующее сообщение.
# Пример 1:
# Введите строку: aab
# Можно сделать палиндромом
# Пример 2:
# Введите строку: aabc
# Нельзя сделать палиндромом

user_str = input('Введите строку: ')

user_dict = {i: user_str.count(i) for i in user_str}
check = 0
for symbol, val in user_dict.items():
    if val % 2 != 0:
        check += 1
    if check == 2:
        print('\nНельзя сделать палиндромом')
        break
if 0 <= check <= 1:
    print('\nМожно сделать палиндромом')
